# -*- coding: utf-8 -*-


class BaseRestriction(object):

    field_name = None
    variables_classes = []
    filters = {}

    @classmethod
    def variables(cls):
        return (variable.name for variable in cls.variables_classes)
